JobsPipe
API Explorer

Search jobs

Interactive reference and playground for POST /v1/jobs/search.

POST
/v1/jobs/search

Authorization

bearerAuth
AuthorizationBearer <token>

Your JobsPipe API key (starts with jp_live_).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Job search filters. All fields optional; combine with AND.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/jobs/search" \  -H "Content-Type: application/json" \  -d '{}'
{  "metadata": {    "total_results": 0,    "truncated_results": 0,    "total_companies": 0,    "truncated_companies": 0,    "next_cursor": "string"  },  "data": [    {      "id": "string",      "job_title": "string",      "normalized_title": "string",      "url": "string",      "final_url": "string",      "source_url": "string",      "company": "string",      "company_domain": "string",      "company_object": {        "property1": null,        "property2": null      },      "date_posted": "string",      "discovered_at": "string",      "closed_at": "string",      "reposted": true,      "date_reposted": "string",      "has_blurred_data": true,      "location": "string",      "short_location": "string",      "long_location": "string",      "country": "string",      "country_code": "string",      "countries": [        "string"      ],      "country_codes": [        "string"      ],      "cities": [        "string"      ],      "continents": [        "string"      ],      "state_code": "string",      "postal_code": "string",      "latitude": 0,      "longitude": 0,      "remote": true,      "hybrid": true,      "salary_string": "string",      "salary_currency": "string",      "min_annual_salary": 0,      "max_annual_salary": 0,      "min_annual_salary_usd": 0,      "max_annual_salary_usd": 0,      "avg_annual_salary_usd": 0,      "seniority": "string",      "employment_statuses": [        "string"      ],      "easy_apply": true,      "technology_slugs": [        "string"      ],      "keyword_slugs": [        "string"      ],      "hiring_team": [        null      ],      "description": "string",      "matching_phrases": [        "string"      ],      "matching_words": [        "string"      ]    }  ]}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}